Bug 891438 - Review Request: openshift-origin-msg-common - Common msg components for OpenShift
Review Request: openshift-origin-msg-common - Common msg components for OpenS...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-02 17:46 EST by Troy Dawson
Modified: 2013-01-14 21:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-14 21:20:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-01-02 17:46:06 EST
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-msg-common.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-msg-common-1.0.3-1.fc18.src.rpm
Description:  Provides the common dependencies of the msg components for OpenShift server and node
Fedora Account System Username: tdawson maxamillion
Comment 1 Michael Scherer 2013-01-04 06:58:05 EST
Package is good and approved. A few notes, but nothing blocking at all. 

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

==== Issues ====

- you should ask to ship the license as part as the tar.gz
- newer version is out 
- the scl stuff could be cleaner ( ie, try to have a spec that could
work on non fedora/non el plateform ( ie, if neither %fedora and %rhel is defined ), but that's a details for the sack of nitpicking
 
===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/misc/checkout/git/FedoraReview/891438-openshift-
     origin-msg-common/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openshift-origin-msg-common-1.0.3-1.fc18.noarch.rpm
openshift-origin-msg-common.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint openshift-origin-msg-common
openshift-origin-msg-common.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
openshift-origin-msg-common (rpmlib, GLIBC filtered):
    mcollective-common



Provides
--------
openshift-origin-msg-common:
    openshift-origin-msg-common



MD5-sum check
-------------
http://mirror.openshift.com/pub/origin-server/source/openshift-origin-msg-common/openshift-origin-msg-common-1.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 9372a38088f50fc7e9dea51436ff589792ac15fc4533dbff9307deba0f7514fc
  CHECKSUM(SHA256) upstream package : 9372a38088f50fc7e9dea51436ff589792ac15fc4533dbff9307deba0f7514fc


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-18-x86_64
Command line :./try-fedora-review -b 891438
Comment 2 Troy Dawson 2013-01-04 11:33:55 EST
Hi Misc,
Looks like you forgot to set the Fedora Review flag.  Could you get that for me.

- Working with upstream in putting in the License.  They have a new batch of packages, and so far, none of them had their License in.  Most of the scripts have the license in comments at the top, but it would be good to get a License file in the rpm.
- Checked latest version.  According to upstream, it's still technically unstable, for the beginning of their next sprint.  When it becomes stable, I will update to it.
- I think that's a good idea to think about what if there isn't a fedora or a rhel.  I will bring that up.  Hopefully upstream will have something cleaner by the next release.
Comment 3 Michael Scherer 2013-01-04 12:20:53 EST
Damned, I knew I should have done after lunch :/ here is the flag
Comment 4 Troy Dawson 2013-01-04 12:36:35 EST
New Package SCM Request
=======================
Package Name: openshift-origin-msg-common
Short Description: Common msg components for OpenShift
Owners: tdawson maxamillion
Branches: f18 f17
InitialCC:
Comment 5 Jon Ciesla 2013-01-04 12:41:27 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-01-04 15:24:18 EST
openshift-origin-msg-common-1.0.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openshift-origin-msg-common-1.0.3-1.fc18
Comment 7 Fedora Update System 2013-01-05 16:53:01 EST
openshift-origin-msg-common-1.0.3-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2013-01-14 21:20:16 EST
openshift-origin-msg-common-1.0.3-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.